Package org.pushingpixels.trident.callback

# Class TimelineCallbackAdapter

java.lang.Object
org.pushingpixels.trident.callback.TimelineCallbackAdapter

All Implemented Interfaces:
  `TimelineCallback`

Direct Known Subclasses:
  `SwingRepaintCallback`, `UIThreadTimelineCallbackAdapter`

public class TimelineCallbackAdapter extends Object implements TimelineCallback
Default implementation of `TimelineCallback` that does nothing.

## Constructor Summary

Constructors
Constructor
Description
`TimelineCallbackAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onTimelinePulse(float durationFraction, float timelinePosition)`
Indicates that the timeline pulse has happened.
`void`
`onTimelineStateChanged(Timeline.TimelineState oldState, Timeline.TimelineState newState, float durationFraction, float timelinePosition)`
Indicates that the timeline state has changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimelineCallbackAdapter

public TimelineCallbackAdapter()

## Method Details

### onTimelineStateChanged

public void onTimelineStateChanged(Timeline.TimelineState oldState, Timeline.TimelineState newState, float durationFraction, float timelinePosition)
Description copied from interface: `TimelineCallback`
Indicates that the timeline state has changed.

Specified by:
  `onTimelineStateChanged` in interface `TimelineCallback`
Parameters:
  `oldState` - The old timeline state.
  `newState` - The new timeline state.
  `durationFraction` - The current timeline duration fraction.Is guaranteed to be in 0.0-1.0 range. The rate of change of this value is linear, and the value is proportional to `Timeline.setDuration(long)`.
  `timelinePosition` - The current timeline position. Is guaranteed to be in 0.0-1.0 range. The rate of change of this value is not necessarily linear and is affected by the `Timeline.setEase(org.pushingpixels.trident.ease.TimelineEase)` .

### onTimelinePulse

public void onTimelinePulse(float durationFraction, float timelinePosition)
Description copied from interface: `TimelineCallback`
Indicates that the timeline pulse has happened.

Specified by:
  `onTimelinePulse` in interface `TimelineCallback`
Parameters:
  `durationFraction` - The current timeline duration fraction.Is guaranteed to be in 0.0-1.0 range. The rate of change of this value is linear, and the value is proportional to `Timeline.setDuration(long)`.
  `timelinePosition` - The current timeline position. Is guaranteed to be in 0.0-1.0 range. The rate of change of this value is not necessarily linear and is affected by the `Timeline.setEase(org.pushingpixels.trident.ease.TimelineEase)` .